msgpack::StdTupleAs< Args > Struct Template Reference

`#include <tuple.hpp>`

## Static Public Member Functions

static std::tuple< Args... > | as (msgpack::object const &o)

## Member Function Documentation

## as()

template<typename... Args>

static std::tuple<Args...> msgpack::StdTupleAs< Args >::as | ( | msgpack::object const & | o | ) |

inline static

References msgpack::StdTupleAsImpl< T, Args >::as().

Referenced by msgpack::StdTupleAsImpl< T, Args >::as(), and msgpack::adaptor::as< std::tuple< Args... >, typename std::enable_if< msgpack::any_of< msgpack::has_as, Args... >::value >::type >::operator()().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/cpp11/tuple.hpp